:root {
    --lightpurple: #FFFFFF;
    --border:#cfcfcf;
    --dark: black;
}
.arrow {
    position: relative;
    margin: 2em;
}

.arrow__upper::before,
.arrow__lower::before,
.arrow__lower::after,
.arrow__upper::after {
    content: '';
    display: block;
    position: absolute;
    right: -.6em;
    width: .8em;
    height: .3em;
    background: var(--dark);
    border-radius: .2em;
    transition: all .5s;
}

.arrow__upper::before,
.arrow__upper::after {
    top: 0;
    transform: rotate(-45deg);
}

.arrow__upper::after {
    right: inherit;
    left: -.6em;
    transform: rotate(45deg);
}

.arrow__lower::before,
.arrow__lower::after {
    top: .4em;
    transform: rotate(45deg);
}

.arrow__lower::after {
    right: inherit;
    left: -.6em;
    transform: rotate(-45deg);
}


/* section {
    display: flex;
    flex-direction: column;
    gap: 2em;
    width: 80%;
    align-self: center;
} */

.history{
    max-width: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
}


.details {
    display: flex;
    align-self: center;
    max-width: 100%;
    width: 80%;
}

.up {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 1em;
}


.purple {
    background-color: var(--lightpurple);
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.42);;
}
/* 
.details .toggle {
    width: 5%;
    text-align: center;
}
 */


.collapsed ::before,
.collapsed ::after {
    top: 0;
    transform: rotate(-45deg);
}

.collapsed ::after {
    transform: rotate(45deg);
}

.down {
    width: 100%;
    display: flex;
    /* height: 30em; */
    flex-direction: column;
    margin: auto;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

.details {
    transition: height .8s ease-in-out;
}

.details:not([open]) {
    height: 10vh;
}

.details[open] {
    height: 20vh;
}


.text {
    display: flex;
    flex-direction: column;
    padding: 1em;
    background-color: var(--lightpurple);
    height: auto;
    line-height: 1.4em;
}

.lists {
    display: flex;
    line-height: 1.5em;
    flex-direction: column;
}

.list-container{
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
}
.list-item{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    align-items: center;
    /* border-bottom: 4px solid var(--border); */
    padding-bottom: .5em;
    padding-top: .5em;
}
.line-list{
    width: 100%;
    height: 4px;
    background-color: var(--border);
}
.right{
    display: flex;
    flex-direction: row;
    gap: 4vw;
    align-items: center;
}
/* @media (max-width: 1100px) {
    .down {
        width: 95%;
        overflow-y: scroll;
    }

    /* .details[open] {
        height: ;
    } 
}*/

.empty-box-cause-im-lazy{
    height: 28vh;
    width: 100%;
}

.right .red{
    color: red;
}

.point{
    font-size: 18px;
}


@media only screen and (max-device-width: 767px) {
    .details{
        width: 80%;
    }
}

@media (max-width: 530px){
    .point{
        font-size: 14px;
    }
    .left h2{
        font-size: 16px;
    }
    .left p{
        font-size: 14px;
    }
    /* .points{
        width: 80%;
    } */
}
@media (max-width: 600px) {
        .points {
                width: 70%;
            }
}
@media (max-width: 500px){
    .shop-h1{
        font-size: 12px;
    }
    .x-icon{
        width: 35px;
        height: 35px;
    }
    .points{
        width: 80%;
    }
}

@media (max-width: 768px) {
    .empty-box-cause-im-lazy {
            height: 55vh;
        }
    /* .details[open] {
        height: 45em;
    } */
.points-main{
    height: 25vh;
}
    .arrow {
        margin: .2em;
    }
    .right{
        gap: 2vw;
    }

    .down {
        /* width: 95%; */
        overflow-y: scroll;
    }

    .text {
        gap: 1.2em;
    }

    .lists {
        flex-direction: column;
        gap: .8em;
    }

    .lists li {
        line-height: 1.65em;
    }

    .up {
        height: auto;
    }

}